import request from '@/utils/request'

//查询列表
export function getList(data){
  return request({
    url:'/house/mobile/proposer/list',
    method:'get',
    params:data
  })
}

//获取申请单明细
export function allInformation(id){
  return request({
    url:'/house/allinformation/'+id,
    method:'get',
  })
}

//获取申请单明细
export function allInformationAnnounce(id){
  return request({
    url:'/house/allinformation/'+id+'?type=announce',
    method:'get',
  })
}

//获取文件配置
export function treeSingleProcessView(data){
  return request({
    url:'/system/attachmentConfig/treeSingleProcessView',
    method:'get',
    params:data
  })
}

//获取上传附件
export function attachmentFind(data){
  return request({
    url:'/system/attachment/find',
    method:'get',
    params:data
  })
}

//保存申请
export function saveHouseBaseInfo(data){
  return request({
    url:'/house/custom/saveHouseBaseInfo',
    method:'post',
    data:data
  })
}

//提交申请
export function saveHouseBaseInfoThenSubmit(data){
  return request({
    url:'/house/custom/saveHouseBaseInfoThenSubmit',
    method:'post',
    data:data
  })
}

//同意审批
export function agreeApply(data){
  return request({
    url:'/house/mobile/agreeApply',
    method:'post',
    data:data
  })
}

//驳回审批
export function rejectApply(data){
  return request({
    url:'/house/mobile/rejectApply',
    method:'post',
    data:data
  })
}

//上传图片
export function attach(data){
  console.log(data)
  return request({
    url:'/common/attach',
    method:'post',
    headers:{'Content-Type': 'application/x-www-form-urlencoded;boundary=----WebKitFormBoundary7MA4YWxkTrZu0gW'},
    data:data
  })
}

//户型
export function houseList(){
  return request({
    url:'/house/type/list',
    method:'get'
  })
}

//删除列表项
export function removeList(id){
  return request({
    url:'/house/mobile/proposer/remove/'+id,
    method:'get'
  })
}

//删除附件
export function removeFile(id){
  return request({
    url:'/system/attachment/remove/'+id,
    method:'get'
  })
}

//获取户主信息
export function getHouseMembers(data){
  return request({
    url:'/house/mobile/getHouseMembers',
    method:'get',
    params:data
  })
}

//获取申请单明细 WLHT
export function allInformationWLHT(id){
  return request({
    url:'/house/allinformation/getAllInformation/'+id,
    method:'get',
  })
}

// 查询文件配置树
export function getAttachmentConfigTree(query) {
  return request({
    url: '/system/attachmentConfig/getAttachmentConfigTree',
    method: 'get',
    params: query
  })
}

// 新增地房申请-申请人
export function addProposer(data) {
  return request({
    url: '/house/custom/saveHouseBaseInfo',
    method: 'post',
    data: data
  })
}

//检查是否重复建房
export function checkDuplicateBuilding(query) {
  return request({
    url: '/house/custom/checkDuplicateBuilding',
    method: 'get',
    params: query
  })
}

//查询宅地信息
export function checkDuplicateBuildingQuery(query) {
  return request({
    url: '/house/custom/checkDuplicateBuildingQuery',
    method: 'get',
    params: query
  })
}

//乌兰浩特申请单人操作
export function customSubmitWLHT(id) {
  return request({
    url: '/house/custom/submitWLHT/' + id,
    method: 'post'
  })
}
// 新增地房申请-开工申请
export function submitStartWLHT(id) {
  return request({
    url: '/house/start/submitWLHT/'+id,
    method: 'post',
  })
}

// 修改地房申请-开工申请
export function updateStart(data) {
  return request({
    url: '/house/start/edit',
    method: 'post',
    data: data
  })
}

// 修改地房申请-验收意见
export function updateEnd(data) {
  return request({
    url: '/house/end/edit',
    method: 'post',
    data: data
  })
}

// 提交地房申请-验收意见(乌兰浩特 简化流程)
export function submitEndWLHT(id) {
  return request({
    url: '/house/end/submitWLHT/'+id,
    method: 'post',
  })
}

//查询当前登录账号坐标
export function getQueryLand() {
  return request({
    url: '/system/dept/get/current',
    method: 'get'
  })
}

//查询当前登录账号坐标
export function getWorkflow() {
  return request({
    url: '/house/custom/workflow',
    method: 'get'
  })
}
// 查询农户信息
export function selectProposerNh(data) {
  return request({
    url: '/house/lz/queryHouserBaseNh' ,
    method: 'get',
    params: data
  })
}
//驳回提交清空历史审批记录
export function updateOpretion(id) {
  return request({
    url: '/house/custom/updateOpretion/' + id,
    method: 'post'
  })
}
